aboutsummaryrefslogtreecommitdiff
path: root/network/suhosin/suhosin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/suhosin/suhosin.SlackBuild')
-rw-r--r--network/suhosin/suhosin.SlackBuild24
1 files changed, 16 insertions, 8 deletions
diff --git a/network/suhosin/suhosin.SlackBuild b/network/suhosin/suhosin.SlackBuild
index d00d12aa583b..007e9d1ea003 100644
--- a/network/suhosin/suhosin.SlackBuild
+++ b/network/suhosin/suhosin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Suhosin
-# Written by Menno E. Duursma <druiloor@zonnet.nl>
+# Written by Menno Duursma <druiloor@zonnet.nl>
# This program is free software. It comes without any warranty.
# Granted WTFPL, Version 2, as published by Sam Hocevar. See
@@ -11,7 +11,7 @@
# Modified by SlackBuilds.org
PRGNAM=suhosin
-VERSION=${VERSION:-0.9.27}
+VERSION=${VERSION:-0.9.29}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -23,10 +23,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -46,19 +49,23 @@ phpize
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-EXTENSION_DIR="$PKG/usr/lib/php/extensions" \
+EXTENSION_DIR="$PKG/usr/lib$LIBDIRSUFFIX/php/extensions" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
--sysconfdir=/etc \
--localstatedir=/var
make
-install -D -m755 modules/suhosin.so $PKG/usr/lib/php/extensions/suhosin.so
+install -D -m755 modules/suhosin.so $PKG/usr/lib$LIBDIRSUFFIX/php/extensions/suhosin.so
-( cd $PKG || exit 1
- find . -type f | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-)
+# Add to the PHP config
+mkdir -p $PKG/etc/php
+echo "extension=suhosin.so" > $PKG/etc/php/suhosin.ini.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a [A-Z][A-Z]* Changelog $PKG/usr/doc/$PRGNAM-$VERSION
@@ -67,6 +74,7 @@ cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}